### Hierarchy

- IJenkinsObject
- IJenkinsObject
  - IJenkinsUser

### Implemented by

- JenkinsUser

## Index

### Properties

- _class
- absoluteUrl
- description
- fullName
- id
- property

### Methods

- fromJson
- fromJsonString
- getJsonData

## Properties

### _class

_class: string

Inherited from IJenkinsObject._class

Overrides IJenkinsObject._class

- Defined in jenkins-api-ts-typings.ts:25

### absoluteUrl

absoluteUrl: string

- Defined in jenkins-api-ts-typings.ts:34
- Defined in jenkins-api-ts-typings.ts:67

### description

description: string

- Defined in jenkins-api-ts-typings.ts:36
- Defined in jenkins-api-ts-typings.ts:69

### fullName

fullName: string

- Defined in jenkins-api-ts-typings.ts:33
- Defined in jenkins-api-ts-typings.ts:66

### id

id: string

- Defined in jenkins-api-ts-typings.ts:37
- Defined in jenkins-api-ts-typings.ts:70

### property

property: Array<any>

- Defined in jenkins-api-ts-typings.ts:38
- Defined in jenkins-api-ts-typings.ts:72

## Methods

### fromJson

- fromJson(json: JSON): void

- Inherited from IJenkinsObject.fromJson

  Overrides IJenkinsObject.fromJson

  - Defined in jenkins-api-ts-typings.ts:27

  #### Parameters

  - ##### json: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Inherited from IJenkinsObject.fromJsonString

  Overrides IJenkinsObject.fromJsonString

  - Defined in jenkins-api-ts-typings.ts:28

  #### Parameters

  - ##### json: string

  #### Returns void

### getJsonData

- getJsonData(): string

- Inherited from IJenkinsObject.getJsonData

  Overrides IJenkinsObject.getJsonData

  - Defined in jenkins-api-ts-typings.ts:26

  #### Returns string

Generated using TypeDoc